<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Settype sur un entier</title>
 </head>
 <body>
 <?php
  define("WEB_EOL","<br/>");
  $i="18";
  var_dump($i);
  echo WEB_EOL;
  settype($i,"int"); // transtypage explicite
  var_dump($i);
  echo WEB_EOL;
  $j="texte";
  var_dump($j);
  echo WEB_EOL;
  settype($j,"integer"); // transtypage explicite
  var_dump($j);
  echo WEB_EOL;  
  $k=18;
  $l=10.5;
  $m=$k+$l;
  var_dump($m);
  echo WEB_EOL;
  settype($m,"integer"); // transtypage explicite
  var_dump($m);
  echo WEB_EOL;
 ?>
 </body>
</html>